function runscript()
	speaker("buddy");
	if (getflag(FLAG_BUDDY_INTRO) == FLAG_OFF) then
		say("||||Oh,|||| hello.||/nI didn't realize I had a visitor.");
		say("Salutations,| sir.| My name is Buddy.");
		say("|||You're probably wondering what you're doing here,||| or maybe even where |here| is.");
		say("|||To be honest,| I'm not entirely sure myself.");
		say("You see,| I was a member of the Underside Safety Committee -");
		say("You know,| we put those signs everywhere...");
		say("Yeah,|| THAT| Underside Safety Committee.");
		say("Anyways,|| so me and my partner,| Bones,| were sent out to place more signs.");
		say("|||'Watch your step'| signs,| to be more exact -");
		say("When I accidentally slipped and fell into a hole.");
		say("When I finally came to,| I couldn't find Bones,| or the sign, anywhere.");
		say("|||I hope he's okay.");
		setflag(FLAG_BUDDY_INTRO, FLAG_ON);
	else
		if (getflag(FLAG_BUDDY_RECOGNIZED) == FLAG_OFF) then
			say("Hey!|||| That Stun Gun!");
			graphic("stungun");
			say("All Underside Safety Committee members get a Stun Gun like that -");
			graphic("");
			say("Let's take a look here||.||.||.||/nWow!");
			say("The serial number matches Bones's!");
			say("That must mean||.||.||.||!");
			say("You must have seen Bones around!");
			say("If you ever see him again,| could you give him these shoes?");
			say("He lent them to me awhile ago and I've been meaning to return them.");
			doscript("get-shoes");
			setflag(FLAG_BUDDY_RECOGNIZED, FLAG_ON);
			say("Thanks for the help!");
		else
			local conversation = math.random(1,5);
			if (conversation == 1) then
				say("I'm so glad Bones is safe!");
				say("I don't know what I would have done if he had gotten hurt!");
			elseif(conversation == 2) then
				say("Remember to give Bones those shoes!");
			elseif(conversation == 3) then
				say("I guess this just comes to show that best friends are forever!");
			elseif(conversation == 4) then
				say("Bones is such a good sport!");
				say("I always used to joke about his name!");
				say("I was just kidding though,| of course.");
			elseif(conversation == 5) then
				say("Oh man, I'm so bored,| if only Bones were here.");
			end
		end
	end
end